EZ_TreeAttachSubtree(3)

NAME
EZ_TreeAttachSubtree, EZ_TreeDetachSubtree - attach/detach a node (subtree) from its host tree

SYNOPSIS
#include <EZ.h>

void EZ_TreeAttachSubtree(EZ_TreeNode *node, EZ_TreeNode *stree)
void EZ_TreeDetachSubtree(EZ_TreeNode *stree)

ARGUMENTS
node Specifies a tree node.

stree Specifies a subtree.

DESCRIPTION

EZ_TreeAttachSubtree inserts sbtree as a child of node, if stree is not already a node in the host tree of node.

EZ_TreeDetachSubtree detaches sbtree from its host tree.

SEE ALSO
EZ_CreateTreeNode(3), EZ_TreeDestroySubtree(3), EZ_CreateDirTree(3)